gr::dab::estimate_sample_rate_bf_impl Class Reference

`#include <estimate_sample_rate_bf_impl.h>`

Inheritance diagram for gr::dab::estimate_sample_rate_bf_impl:
[legend]

## Public Member Functions

| estimate_sample_rate_bf_impl (float expected_sample_rate, int frame_length)
| ~estimate_sample_rate_bf_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::estimate_sample_rate_bf
typedef std::shared_ptr< estimate_sample_rate_bf > | sptr
Static Public Member Functions inherited from gr::dab::estimate_sample_rate_bf
static sptr | make (float expected_sample_rate, int frame_length)
| Return a shared_ptr to a new instance of dab::estimate_sample_rate_bf.

## Constructor & Destructor Documentation

## estimate_sample_rate_bf_impl()

gr::dab::estimate_sample_rate_bf_impl::estimate_sample_rate_bf_impl | ( | float | expected_sample_rate,
|  | int | frame_length )

## ~estimate_sample_rate_bf_impl()

gr::dab::estimate_sample_rate_bf_impl::~estimate_sample_rate_bf_impl | ( |  | ) |

## Member Function Documentation

## work()

int gr::dab::estimate_sample_rate_bf_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- estimate_sample_rate_bf_impl.h